[packages/chromium-browser] fix build with system flac

glen glen at pld-linux.org
Tue Nov 13 13:13:38 CET 2012


commit 8f5f67758994999eef83e251e9a2a0a9054dfd22
Author: Elan Ruusamäe <glen at delfi.ee>
Date:   Tue Nov 13 14:10:04 2012 +0200

    fix build with system flac

 chromium-browser.spec | 5 +++--
 clean-source.sh       | 8 ++++----
 2 files changed, 7 insertions(+), 6 deletions(-)
---
diff --git a/chromium-browser.spec b/chromium-browser.spec
index c623664..9b81f26 100644
--- a/chromium-browser.spec
+++ b/chromium-browser.spec
@@ -108,7 +108,7 @@ BuildRequires:	bzip2-devel
 %{?with_cups:BuildRequires:	cups-devel}
 BuildRequires:	dbus-glib-devel
 BuildRequires:	expat-devel
-%{?with_system_flac:BuildRequires:	flac-devel}
+%{?with_system_flac:BuildRequires:	flac-devel >= 1.2.1-7}
 BuildRequires:	flex
 BuildRequires:	fontconfig-devel
 BuildRequires:	glib2-devel
@@ -159,6 +159,7 @@ BuildRequires:	xz
 %{?with_system_zlib:BuildRequires:	zlib-devel}
 Requires:	browser-plugins >= 2.0
 Requires:	desktop-file-utils
+%{?with_system_flac:Requires:	flac >= 1.2.1-7}
 Requires:	hicolor-icon-theme
 %{?with_libjpegturbo:Requires:	libjpeg-turbo >= 1.2.0}
 %{?with_system_vpx:Requires:	libvpx >= 0.9.5-2}
@@ -334,11 +335,11 @@ test -e Makefile || %{__python} build/gyp_chromium --format=make build/all.gyp \
 	%{!?with_sse2:-Ddisable_sse2=1} \
 	%{?with_selinux:-Dselinux=1} \
 	%{gyp_with cups} \
-	%{gyp_with flac} \
 	%{gyp_with gconf} \
 	%{gyp_with kerberos} -Dlinux_link_kerberos=0 \
 	%{gyp_with keyring gnome_keyring} -Dlinux_link_gnome_keyring=0 \
 	%{gyp_with pulseaudio} \
+	%{gyp_with system_flac} \
 	%{gyp_with system_libwebp} \
 	%{gyp_with system_speex} \
 	%{gyp_with system_sqlite} \
diff --git a/clean-source.sh b/clean-source.sh
index 4d94660..d30a530 100755
--- a/clean-source.sh
+++ b/clean-source.sh
@@ -1,6 +1,5 @@
 #!/bin/sh
-set -e
-set -x
+set -xe
 
 # import options
 # remove everything unless it's remove has been disabled with "0"
@@ -426,7 +425,7 @@ strip_system_dirs() {
 		test -d $dir || continue
 
 		# here we ignore errors, as some dirs contain README.chromium after removal
-		find $dir -depth -mindepth 1 \! \( -name \*.gyp -o -name \*.gypi -o -name README.chromium -o -name \*.patch \) -print -delete || :
+		find $dir -depth -mindepth 1 \! \( -name '*.gyp' -o -name '*.gypi' -o -name README.chromium -o -name '*.patch' -o -path $dir/$lib.h \) -print -delete || :
 	done
 }
 
@@ -435,7 +434,7 @@ strip_system_dirs() {
 almost_strip_dirs() {
 	local dir
 	for dir in "$@"; do
-		find $dir -depth -mindepth 1 \! \( -name \*.gyp -o -name \*.gypi -o -name README.chromium \) -print -delete || :
+		find $dir -depth -mindepth 1 \! \( -name '*.gyp' -o -name '*.gypi' -o -name README.chromium \) -print -delete || :
 	done
 }
 
@@ -463,6 +462,7 @@ strip_system_dirs \
 	_third_party/libvpx \
 	native_client/src/third_party_mod/jsoncpp \
 	third_party/jsoncpp \
+	third_party/flac \
 	v8 \
 | tee -a REMOVED-stripped.txt
 
================================================================

---- gitweb:

http://git.pld-linux.org/gitweb.cgi/packages/chromium-browser.git/commitdiff/ed514974da96483406492e55ffd91d9d97b1b35d



More information about the pld-cvs-commit mailing list